#version 150 core

uniform sampler2D texture;
uniform mat4 pMatrix;
uniform mat4 vMatrix;
uniform mat4 mMatrix;


in vec3 vertPos;
in vec2 vertUv;

smooth out vec2 UV;



void main(void)
{
	UV = vertUv;
	gl_Position = pMatrix * vMatrix * mMatrix * vec4(vertPos,1.0);
	
	
}